package node

// 切精灵返回false，重写change方法来实现切换效果
// 精灵切换相关触发
func (e *EffectNode) OnSwitchIn() bool {
	panic("not implemented") // TODO: Implement
}

func (e *EffectNode) OnSwitchOut() bool {
	//下场默认清除effect
	if e.Owner {//清除对方的我方施加uff
		e.NotALive()
	}
	return true
}

func (e *EffectNode) OnOwnerSwitchIn() bool {
	//自身下场清除掉自身的回合效果
	//this.GetBattle().Effects[this.GetInput().UserID].RemoveEffect(this)
	e.NotALive()
	return true
}

func (e *EffectNode) OnOwnerSwitchOut() bool {
	panic("not implemented") // TODO: Implement
}
